Subject: Re: Multi-PHYs and multiple-ports bonding support

From: Jiri Pirko <[email-masked]>
Date: Mon, 17 Oct 2022 11:45:43 +0200

Mon, Oct 17, 2022 at 10:51:00AM CEST, [email-masked] wrote:

[...]

>3) UAPI
>
>>From userspace, we would need ways to list the ports, their state, and
>possibly to configure the bonding parameters. for now in ethtool, we
>don't have the notion of port at all, we just have 1 netdevice == 1
>port. Should we therefore create one netdevice per port ? or stick to
>that one interface and refer to its ports with some ethtool parameters ?

I don't like the idea of having 1 netdev per port. Netdev represents
mostly the MAC entity, and there is only one.

[...]